Get report instances for authenticated user (Portal)

Returns a list of report instances available to the authenticated user in the portal. This endpoint uses PhoneTokenAuthentication.

The response includes:

  • Report instances that are shared with all links (share_with_all_links=True)
  • Report instances from folders accessible via folder-links

Filtering options:

  • status: Filter by report instance status (ready, processing, completed, failed)
  • include_deleted: Include soft deleted report instances (default: false)

Response fields:

  • id: The hashid of the report instance
  • status: The current status of the report instance
  • created_at: When the report instance was created
  • estimated_completion_time: Estimated completion time (if available)
  • completed_at: When the report was completed (if completed)
  • report: Object with report id and name
  • folder: Object with folder id and name (if associated)
  • html: HTML content of the report (if available)
  • content: Same as html field
  • content_type: Always 'html'
  • share_with_all_links: Whether the report is shared with all links
  • file_records_count: Number of linked file records
Query Params
boolean

Include soft deleted report instances in the response (default: false)

integer

Number of results to return per page.

integer

The initial index from which to return the results.

string

Filter report instances by status (ready, processing, completed, failed)

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json